Bug 2629 - yahoo-mail POP3 : cannot complete the download of a msg with attachment
Summary: yahoo-mail POP3 : cannot complete the download of a msg with attachment
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: POP3 (show other bugs)
Version: 3.8.0
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2012-03-14 19:14 CET by Sebas
Modified: 2012-10-18 11:44 CEST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebas 2012-03-14 19:14:11 CET
Hi

When I get a mail with an attachment (typically few hundreds kb), Claws downloads everything but got an error and cannot complete the DL, the msg is not stored (but marked as read"

Log :
------8<---------
* Account 'yves yahoo': Connecting to POP3 server: pop.mail.yahoo.fr...
[14:58:43] POP3< +OK hello from popgate-0.8.0.344798 pop012.mail.ukl.yahoo.com 
[14:58:43] POP3> USER XXXXX@yahoo.fr
[14:58:44] POP3< +OK password required.
[14:58:44] POP3> PASS ********
[14:58:44] POP3< +OK maildrop ready, 1 message (203229 octets) (13311050)
[14:58:44] POP3> STAT
[14:58:46] POP3< +OK 1 203229
[14:58:46] POP3> UIDL
[14:58:47] POP3< +OK 1 message (203229 octets)
[14:58:47] POP3> LIST
[14:58:48] POP3< +OK 1 message (203229 octets)
[14:58:48] POP3> RETR 1
[14:58:49] POP3< +OK 203223 octets
** Connection closed by the remote host.
------8<---------

If I download it with pegasus with wine, it works
If I forward it to another mail-server (using the yahoo's web-interface), then claws can download it from the other mail-server

It was working with the former version of Claws, I never had problem to get msgs until recently.

Msgs without attachment are fetched normally.

-------------
version 3.8.0 (debian sid, claws-mail_3.8.0-1_amd64.deb)
System Information
GTK+ 2.24.10 / GLib 2.30.2
Locale: en_US.UTF-8 (charset: UTF-8)
Operating System: Linux 3.0-3.slh.1-aptosid-amd64 (x86_64)
Comment 1 Sebas 2012-10-13 09:06:26 CEST
It works normally now.
This bug can be closed
Comment 2 Ricardo Mones 2012-10-13 15:03:06 CEST
Just curious, got it fixed after you upgraded to 3.8.1-[12] or still using 3.8.0?
Comment 3 Sebas 2012-10-18 11:44:43 CEST
I'm using 3.8.1-1, 
I guess the issue was fixed when I upgraded, but I have done no test at that time so I cannot be sure of the relation.